Update Custom Links

Purpose

To update a custom link in a module.

Endpoints

  • PUT /settings/custom_links
  • PUT /settings/custom_links/{custom_link_ID}

Request Details

Request URL

{api-domain}/crm/{version}/settings/custom_links

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.custom_links.ALL
(or)
ZohoCRM.settings.custom_links.UPDATE

Parameters

  • modulestring, mandatory

    Represents the API name of the module whose custom link you want to update. Use the Get Modules API to get the API name of the module.

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/custom_links/554023000006627007?module=Leads"
-X PUT
-d "@input.json"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Request JSON Keys

  • idstring, mandatory

    Represents the ID of the custom link you want to update. Use the Get Custom Links API to get the ID of the custom link in that module.

  • namestring, optional

    Represents the name of the custom link. Accepts up to 100 alphanumeric characters.

  • profilesJSON object, optional

    Each JSON object in this array represents the name and ID of the profile that can have access to the custom links. Accepts up to 200 profile JSON objects. Use the Get Profiles API to get the ID and name of the profiles.

  • urlstring, optional

    Represents the updated URL of the custom link. Accepts up to 3000 alphanumeric characters. Example: https://www.example_new.com/

  • url_encodingstring, optional

    Represents the URL encoding type for the custom link. Accepted values are UTF-8 (Unicode), UTF-16 (Unicode), ISO-8859-1, ISO-8859-9 (Turkish), GB2312 (Simplified Chinese), Big5 (Traditional Chinese), Shift_JIS (Japanese).

  • user_typesJSON array, optional

    Each JSON object in this array represents the ID and name of the user types you want to give access to this custom link. Use the Get User Types API to get the name and ID of the user groups in your org. You can have a maximum of 200 user types in this array.

Sample Input

Copied{
    "custom_links": [
        {
            "name": "LinkedIn_New"
            
        }
    ]
}

Possible Errors

  • MANDATORY_NOT_FOUNDHTTP 400

    You have not specified one or more mandatory fields in the input.
    Resolution: "id" is mandatory in the input if not specified in the request URL. You must input values to "profiles", "url", "url_encoding" if you have included these keys in the input body. Refer to the details key in the response for the missing key.

  • MANDATORY_NOT_FOUNDHTTP 400

    You have not specified "custom_links" in the input.
    Resolution: "custom_links" is the root key in the input body. Refer to the sample section.

  • REQUIRED_PARAM_MISSINGHTTP 400

    You have not included the "module" parameter in the request.
    Resolution: "module" is a mandatory parameter in the request.

  • INVALID_DATAHTTP 400

    You have specified invalid data in the input.
    Resolution: Refer to the "details" key in the response for the API name and JSON path of the invalid key. Refer to the Request JSON section for the input keys and their datatypes.

  • INVALID_DATAHTTP 400

    The custom link ID you have specified in the input is invalid.
    Resolution: Use the Get Custom Links API to get the valid ID of the custom link you want to update.

  • DUPLICATE_DATAHTTP 400

    A custom link with that name already exists.
    Resolution: Specify a different name for the custom link.

  • NOT_ALLOWEDHTTP 400

    You cannot remove all the profiles from a custom link.
    Resolution: At least one profile must be selected. Specify at least one valid profile in the "profiles" array.

  • INVALID_REQUEST_METHODHTTP 400

    The request method is incorrect.
    Resolution: Use the HTTP PUT method to make this API call.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    The access token you have used to make this API call does not have the required scope.
    Resolution: Generate a new access token with the scope ZohoCRM.settings.custom_links.UPDATE or ZohoCRM.settings.custom_links.ALL.

  • NO_PERMISSIONHTTP 403

    You do not have permission to update custom links.
    Resolution: Contact your system administrator.

  • INVALID_URL_PATTERNHTTP 404

    The request URL is incorrect.
    Resolution: Specify a valid request URL. Refer to the Request URL section for the right URL.

  • INTERNAL_ERRORHTTP 500

    Unexpected and unhandled exception in the server.
    Resolution: Contact the support team at support@zohocrm.com.

Sample Response

Copied{
    "custom_links": [
        {
            "code": "SUCCESS",
            "details": {
                "id": "554023000006627007"
            },
            "message": "custom link modified successfully",
            "status": "success"
        }
    ]
}